
Notes for Titantools
--------------------

Noshell should *not* be registered in /etc/shells if you plan to use it,
otherwise it will be recognized as a valid shell and will be executed on logon. 

If the /sbin/noshell shell is registered in /etc/shells some programs might
think that users which have this shell as their shell are actually
valid users. Which is the opposite of what noshell is provided with.

This happens, for example with 'su' or with some FTP daemons. They will
allow access to any user with a shell listed in /etc/shells. Only
shells *not* listed in /etc/shells are considered a "restricted shell" in
these programs and will disallow access to users that have them as their
personal shell. 

--------
Javier Fernandez-Sanguino <jfs@debian.org>
Tue, 29 Mar 2011 22:50:05 +0200

